'use strict';

var _Object$defineProperty = require('babel-runtime/core-js/object/define-property')['default'];

_Object$defineProperty(exports, '__esModule', {
  value: true
});

/*
 * @providesModule splitSelector
 */

exports['default'] = splitSelector;

function splitSelector(name) {
  var indexOfColon = name.indexOf(':');
  var indexOfBracket = name.indexOf('[');

  if (indexOfColon < 0 && indexOfBracket < 0) {
    return [name, ''];
  }

  var splitIndex = undefined;

  if (indexOfColon < 0) {
    splitIndex = indexOfBracket;
  } else if (indexOfBracket < 0) {
    splitIndex = indexOfColon;
  } else {
    splitIndex = Math.min(indexOfBracket, indexOfColon);
  }

  return [name.substr(0, splitIndex), name.substr(splitIndex)];
}

module.exports = exports['default'];